> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/troubleshooting/enterprise

## OpenAPI

````json POST /v1/troubleshooting/enterprise
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/troubleshooting/enterprise": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1TroubleshootingEnterprisePostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1TroubleshootingEnterprisePostResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1TroubleshootingEnterprisePostRequest": {
        "type": "object",
        "properties": {
          "dimensions": {
            "$ref": "#/components/schemas/v1TroubleshootingEnterprisePostRequestDimensions"
          },
          "filter": {
            "$ref": "#/components/schemas/statsmonTroubleshootingFilter"
          }
        },
        "additionalProperties": false
      },
      "v1TroubleshootingEnterprisePostResponse": {
        "type": "object",
        "properties": {
          "sites": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v1TroubleshootingEnterprisePostResponseSiteSummary"
            }
          }
        },
        "additionalProperties": false
      },
      "v1TroubleshootingEnterprisePostRequestDimensions": {
        "type": "object",
        "properties": {
          "certificateExpiry": {
            "type": "boolean",
            "example": true
          },
          "coreConnectivity": {
            "type": "boolean",
            "example": true
          },
          "coreTransitions": {
            "type": "boolean",
            "example": true
          },
          "cpu": {
            "type": "boolean",
            "example": true
          },
          "crashes": {
            "type": "boolean",
            "example": true
          },
          "creditExpiry": {
            "type": "boolean",
            "example": true
          },
          "disk": {
            "type": "boolean",
            "example": true
          },
          "fanSpeed": {
            "type": "boolean",
            "example": true
          },
          "licenseExpiry": {
            "type": "boolean",
            "example": true
          },
          "memory": {
            "type": "boolean",
            "example": true
          },
          "odpConnectivity": {
            "type": "boolean",
            "example": true
          },
          "odpTransitions": {
            "type": "boolean",
            "example": true
          },
          "slaPerformance": {
            "type": "boolean",
            "example": true
          },
          "t2Connectivity": {
            "type": "boolean",
            "example": true
          },
          "t2Transitions": {
            "type": "boolean",
            "example": true
          },
          "temperature": {
            "type": "boolean",
            "example": true
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingFilter": {
        "type": "object",
        "properties": {
          "circuitNames": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "deviceIds": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          },
          "lanSegments": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "regionIds": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          },
          "siteIds": {
            "type": "array",
            "items": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        },
        "additionalProperties": false
      },
      "v1TroubleshootingEnterprisePostResponseSiteSummary": {
        "type": "object",
        "properties": {
          "controlStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "dataStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "overallStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "region": {
            "$ref": "#/components/schemas/statsmonTroubleshootingRegion"
          },
          "selectedStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "siteId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "siteName": {
            "type": "string",
            "example": "example string"
          },
          "systemStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingRegion": {
        "type": "object",
        "properties": {
          "regionId": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "regionName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

